#include<iostream>
using namespace std;
int par(double a[], double p[], int l, int h)
{
    int i=l-1,piv=p[h];
    for(int j=l;j<h;j++)
    {
        if(p[j]<piv)
        {
            ++i;
            swap(p[i],p[j]);
            swap(a[i],a[j]);
        }    
    }
    swap(a[i+1],a[h]);
    swap(p[i+1],p[h]);
    return i+1;
}
void quick1(double a[],double p[],int l, int h)
{
    int k;
    if(l<h)
    {
        k=par(a,p,l,h);
        quick1(a,p,l,k-1);
        quick1(a,p,k,h);
    }
}
int main()
{
    int n,i,j;
    cin>>n;
    double a[n], p[n],k=0,max1=0;
    for(i=0;i<n;i++)
        cin>>a[i]>>p[i];
    quick1(a,p,0,n-1);
    for(i=n-1;i>=0;i--)
    {
        k=k+a[i];
        if(max1<(k*p[i])/100)
            max1=(k*p[i])/100;
    }
    cout<<max1;
}